DCMTK: dcmtk::log4cplus::spi::ObjectRegistryBase Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
dcmtk::log4cplus::spi::ObjectRegistryBase Class Referenceabstract

This is the base class used to implement the functionality required by the ObjectRegistry template class. More...

Inheritance diagram for dcmtk::log4cplus::spi::ObjectRegistryBase:

## Public Member Functions
bool | exists (const log4cplus::tstring &name) const
| Tests to see whether or not an object is bound in the registry as `name`.
OFVector< log4cplus::tstring > | getAllNames () const
| Returns the names of all registered objects.

## Protected Member Functions
bool | putVal (const log4cplus::tstring &name, void *object)
| Used to enter an object into the registry.
void * | getVal (const log4cplus::tstring &name) const
| Used to retrieve an object from the registry.
virtual void | deleteObject (void *object) const =0
| Deletes `object`.
virtual void | clear ()
| Deletes all objects from this registry.

## Detailed Description

This is the base class used to implement the functionality required by the ObjectRegistry template class.

## Member Function Documentation

## ◆ getVal()

void * dcmtk::log4cplus::spi::ObjectRegistryBase::getVal | ( | const log4cplus::tstring & | name | ) | const
| protected

Used to retrieve an object from the registry.

(The registry owns the returned pointer.)

Referenced by dcmtk::log4cplus::spi::FactoryRegistry< AppenderFactory >::get().

## ◆ putVal()

bool dcmtk::log4cplus::spi::ObjectRegistryBase::putVal | ( | const log4cplus::tstring & | name,
|  | void * | object )
| protected

Used to enter an object into the registry.

(The registry now owns `object`.)

Referenced by dcmtk::log4cplus::spi::FactoryRegistry< AppenderFactory >::put().

The documentation for this class was generated from the following file:

- oflog/include/dcmtk/oflog/spi/objreg.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2